<template>
  <v-main>
    <template v-if="!initialized">
      <v-skeleton-loader boilerplate elevation="3" type="article"/>
      <br>
      <v-skeleton-loader boilerplate elevation="3" type="article"/>
    </template>
    <template v-else>
      <bugs-card :bugs="getUnResolvedBugs()">
        <template #icon>
          <v-icon color="error">bug_report</v-icon>
        </template>
        <template #title>
          Ещё воспроизводятся
        </template>
        <template #text>
          Эти баги еще не были помечены как исправленные
        </template>
      </bugs-card>
      <br>
      <bugs-card :bugs="getResolvedBugs()">
        <template #icon>
          <v-icon color="success">bug_report</v-icon>
        </template>
        <template #title>
          Исправленные баги
        </template>
        <template #text>
          Эти баги были исправлены, но, кто знает, вдруг они еще вернутся?
        </template>
      </bugs-card>
    </template>
  </v-main>
</template>

<script lang="ts">
import Vue from 'vue';
import { BugsArray } from '~/types';
import BugsCard from '~/components/BugsCard.vue';

export default Vue.extend({
  name: 'index',
  scrollToTop: true,
  components: { BugsCard },
  data() {
    return {
      initialized: false,
    };
  },
  async mounted() {
    await this.$accessor.loadBugs();
    this.initialized = true;
  },
  methods: {
    getResolvedBugs(): BugsArray {
      return this.$accessor.bugsArray.filter(x => x.resolved);
    },
    getUnResolvedBugs(): BugsArray {
      return this.$accessor.bugsArray.filter(x => !x.resolved);
    },
  },
});
</script>

<style scoped>

</style>
